#pragma once
#include "../base/interface.hpp"

namespace lsp::provider::type_hierarchy
{
    class Subtypes : public IRequestProvider
    {
    public:
        Subtypes() = default;

        std::string GetMethod() const override;
        std::string GetProviderName() const override;
        std::string ProvideResponse(const protocol::RequestMessage& request, ExecutionContext& context) override;
    };
}
